<?php 
class ControllerFeedBrowntape extends Controller {
	private $error = array(); 
	
	public function index() {
		$this->load->language('feed/browntape');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('setting/setting');
			
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('browntape', $this->request->post);				
			
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL'));
		}

			$this->data['heading_topic'] = $this->language->get('heading_topic');
			$this->data['text_message'] = $this->language->get('text_message');
			$this->data['text_api'] = $this->language->get('text_api');
			$this->data['text_Secretkey'] = $this->language->get('text_Secretkey');
			$this->data['text_baseurl'] = $this->language->get('text_baseurl');
			$this->data['text_storeapi'] = $this->language->get('text_storeapi');
			$this->data['text_enabled'] = $this->language->get('text_enabled');
			$this->data['text_disabled'] = $this->language->get('text_disabled');
			$this->data['entry_status'] = $this->language->get('entry_status');
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		if (isset($this->request->post['browntape_status'])) {
			$this->data['browntape_status'] = $this->request->post['browntape_status'];
		} else {
			$this->data['browntape_status'] = $this->config->get('browntape_status');
		}
  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_feed'),
			'href'      => $this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('feed/browntape', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
				
		$this->data['action'] = $this->url->link('feed/browntape', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL');
		
		
		$this->data['data_feed'] = HTTP_CATALOG . 'index.php?route=feed/browntape';

		$this->template = 'feed/browntape.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
				
		$this->response->setOutput($this->render());
	} 
	public function updateApiKey(){

     	$this->load->language('feed/browntape');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('setting/setting');
			$this->data['heading_topic'] = $this->language->get('heading_topic');
			$this->data['text_message'] = $this->language->get('text_message');
			$this->data['text_api'] = $this->language->get('text_api');
			$this->data['text_Secretkey'] = $this->language->get('text_Secretkey');
			$this->data['text_baseurl'] = $this->language->get('text_baseurl');
			$this->data['text_storeapi'] = $this->language->get('text_storeapi');
			$this->data['text_enabled'] = $this->language->get('text_enabled');
			$this->data['text_disabled'] = $this->language->get('text_disabled');
			$this->data['entry_status'] = $this->language->get('entry_status');
      if(!empty($this->request->post)) {
				$this->model_setting_setting->editSetting('browntape', $this->request->post);				
				$this->data['browntape_status'] =$this->request->post['browntape_status'];
         $apikey = $this->request->post['apikey'];
         $flag = $this->request->post['browntape_status'];
         $secretkey = '';
         $baseurl = $this->request->post['baseurl'];
         $storeapi = '';
         $sql = 'SELECT * FROM '.DB_PREFIX.'api';
         $query = $this->db->query($sql);
         //print_r($query->num_rows); die;
         if($query->num_rows == 0 ) {
           $this->db->query("INSERT INTO " . DB_PREFIX . "api (api,secretkey,baseurl,storeapi,flag) VALUES('$apikey','$secretkey','$baseurl','$storeapi','$flag')");
         }
         else {
           $this->db->query("UPDATE `" . DB_PREFIX . "api` SET flag='$flag', api = '$apikey', secretkey = '$secretkey', baseurl = '$baseurl', storeapi = '$storeapi' WHERE id = '1'");
						

            //$this->db->query("UPDATE ".DB_PREFIX."api1 (api,secretkey,baseurl) VALUES('$apikey','$secretkey','$baseurl')");
         }
       $this->data['success'] = 'Success: Form updated successfully.';
       }
	
		$this->template = 'feed/browntape.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
       $this->response->setOutput($this->render());
    }
	private function validate() {
		if (!$this->user->hasPermission('modify', 'feed/browntape')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}	
}
?>
